psa_drv_se_aead_t Struct Reference
Secure Element Authenticated Encryption with Additional Data

A struct containing all of the function pointers needed to implement secure element Authenticated Encryption with Additional Data operations. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_aead_t:
[legend]

## Data Fields

psa_drv_se_aead_encrypt_t | p_encrypt
psa_drv_se_aead_decrypt_t | p_decrypt

## Detailed Description

A struct containing all of the function pointers needed to implement secure element Authenticated Encryption with Additional Data operations.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup.

If one of the functions is not implemented, it should be set to NULL.

Definition at line 799 of file crypto_se_driver.h.

## Field Documentation

## p_decrypt

psa_drv_se_aead_decrypt_t psa_drv_se_aead_t::p_decrypt

Function that performs the AEAD decrypt operation

Definition at line 803 of file crypto_se_driver.h.

## p_encrypt

psa_drv_se_aead_encrypt_t psa_drv_se_aead_t::p_encrypt

Function that performs the AEAD encrypt operation

Definition at line 801 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h